com.genesyslab.wfm7.API.service.config720

## Class CfgStateGroup

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config720.CfgStateGroup

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgStateGroup
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private long` | `timestamp`
    `private int` | `wmEndMinutesAfter`
    `private int` | `wmForMigration`
    `private java.lang.String` | `wmName`
    `private java.lang.String` | `wmShortName`
    `private int` | `wmSiteId`
    `private int` | `wmStartMinutesBefore`
    `private int` | `wmStateGroupId`
    `private CfgStateMapping[]` | `wmStateMappings`
    `private int` | `wmStateMappingsNSizeIs`
    `private int[]` | `wmStates`
    `private int` | `wmStatesNSizeIs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgStateGroup()`
    `CfgStateGroup(int wmStateGroupId, int wmSiteId, java.lang.String wmName, java.lang.String wmShortName, int wmStartMinutesBefore, int wmEndMinutesAfter, int wmForMigration, int wmStatesNSizeIs, int[] wmStates, int wmStateMappingsNSizeIs, CfgStateMapping[] wmStateMappings, long timestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `long` | `getTimestamp()` Gets the timestamp value for this CfgStateGroup.
    `int` | `getWmEndMinutesAfter()` Gets the wmEndMinutesAfter value for this CfgStateGroup.
    `int` | `getWmForMigration()` Gets the wmForMigration value for this CfgStateGroup.
    `java.lang.String` | `getWmName()` Gets the wmName value for this CfgStateGroup.
    `java.lang.String` | `getWmShortName()` Gets the wmShortName value for this CfgStateGroup.
    `int` | `getWmSiteId()` Gets the wmSiteId value for this CfgStateGroup.
    `int` | `getWmStartMinutesBefore()` Gets the wmStartMinutesBefore value for this CfgStateGroup.
    `int` | `getWmStateGroupId()` Gets the wmStateGroupId value for this CfgStateGroup.
    `CfgStateMapping[]` | `getWmStateMappings()` Gets the wmStateMappings value for this CfgStateGroup.
    `int` | `getWmStateMappingsNSizeIs()` Gets the wmStateMappingsNSizeIs value for this CfgStateGroup.
    `int[]` | `getWmStates()` Gets the wmStates value for this CfgStateGroup.
    `int` | `getWmStatesNSizeIs()` Gets the wmStatesNSizeIs value for this CfgStateGroup.
    `int` | `hashCode()`
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this CfgStateGroup.
    `void` | `setWmEndMinutesAfter(int wmEndMinutesAfter)` Sets the wmEndMinutesAfter value for this CfgStateGroup.
    `void` | `setWmForMigration(int wmForMigration)` Sets the wmForMigration value for this CfgStateGroup.
    `void` | `setWmName(java.lang.String wmName)` Sets the wmName value for this CfgStateGroup.
    `void` | `setWmShortName(java.lang.String wmShortName)` Sets the wmShortName value for this CfgStateGroup.
    `void` | `setWmSiteId(int wmSiteId)` Sets the wmSiteId value for this CfgStateGroup.
    `void` | `setWmStartMinutesBefore(int wmStartMinutesBefore)` Sets the wmStartMinutesBefore value for this CfgStateGroup.
    `void` | `setWmStateGroupId(int wmStateGroupId)` Sets the wmStateGroupId value for this CfgStateGroup.
    `void` | `setWmStateMappings(CfgStateMapping[] wmStateMappings)` Sets the wmStateMappings value for this CfgStateGroup.
    `void` | `setWmStateMappingsNSizeIs(int wmStateMappingsNSizeIs)` Sets the wmStateMappingsNSizeIs value for this CfgStateGroup.
    `void` | `setWmStates(int[] wmStates)` Sets the wmStates value for this CfgStateGroup.
    `void` | `setWmStatesNSizeIs(int wmStatesNSizeIs)` Sets the wmStatesNSizeIs value for this CfgStateGroup.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmStateGroupId

          private int wmStateGroupId

    - #### wmSiteId

          private int wmSiteId

    - #### wmName

          private java.lang.String wmName

    - #### wmShortName

          private java.lang.String wmShortName

    - #### wmStartMinutesBefore

          private int wmStartMinutesBefore

    - #### wmEndMinutesAfter

          private int wmEndMinutesAfter

    - #### wmForMigration

          private int wmForMigration

    - #### wmStatesNSizeIs

          private int wmStatesNSizeIs

    - #### wmStates

          private int[] wmStates

    - #### wmStateMappingsNSizeIs

          private int wmStateMappingsNSizeIs

    - #### wmStateMappings

          private CfgStateMapping[] wmStateMappings

    - #### timestamp

          private long timestamp

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### CfgStateGroup

          public CfgStateGroup()

    - #### CfgStateGroup

          public CfgStateGroup(int wmStateGroupId,
                       int wmSiteId,
                       java.lang.String wmName,
                       java.lang.String wmShortName,
                       int wmStartMinutesBefore,
                       int wmEndMinutesAfter,
                       int wmForMigration,
                       int wmStatesNSizeIs,
                       int[] wmStates,
                       int wmStateMappingsNSizeIs,
                       CfgStateMapping[] wmStateMappings,
                       long timestamp)

  - ### Method Detail

    - #### getWmStateGroupId

          public int getWmStateGroupId()

      Gets the wmStateGroupId value for this CfgStateGroup.
      Returns:
        wmStateGroupId

    - #### setWmStateGroupId

          public void setWmStateGroupId(int wmStateGroupId)

      Sets the wmStateGroupId value for this CfgStateGroup.
      Parameters:
        `wmStateGroupId` -

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the wmSiteId value for this CfgStateGroup.
      Returns:
        wmSiteId

    - #### setWmSiteId

          public void setWmSiteId(int wmSiteId)

      Sets the wmSiteId value for this CfgStateGroup.
      Parameters:
        `wmSiteId` -

    - #### getWmName

          public java.lang.String getWmName()

      Gets the wmName value for this CfgStateGroup.
      Returns:
        wmName

    - #### setWmName

          public void setWmName(java.lang.String wmName)

      Sets the wmName value for this CfgStateGroup.
      Parameters:
        `wmName` -

    - #### getWmShortName

          public java.lang.String getWmShortName()

      Gets the wmShortName value for this CfgStateGroup.
      Returns:
        wmShortName

    - #### setWmShortName

          public void setWmShortName(java.lang.String wmShortName)

      Sets the wmShortName value for this CfgStateGroup.
      Parameters:
        `wmShortName` -

    - #### getWmStartMinutesBefore

          public int getWmStartMinutesBefore()

      Gets the wmStartMinutesBefore value for this CfgStateGroup.
      Returns:
        wmStartMinutesBefore

    - #### setWmStartMinutesBefore

          public void setWmStartMinutesBefore(int wmStartMinutesBefore)

      Sets the wmStartMinutesBefore value for this CfgStateGroup.
      Parameters:
        `wmStartMinutesBefore` -

    - #### getWmEndMinutesAfter

          public int getWmEndMinutesAfter()

      Gets the wmEndMinutesAfter value for this CfgStateGroup.
      Returns:
        wmEndMinutesAfter

    - #### setWmEndMinutesAfter

          public void setWmEndMinutesAfter(int wmEndMinutesAfter)

      Sets the wmEndMinutesAfter value for this CfgStateGroup.
      Parameters:
        `wmEndMinutesAfter` -

    - #### getWmForMigration

          public int getWmForMigration()

      Gets the wmForMigration value for this CfgStateGroup.
      Returns:
        wmForMigration

    - #### setWmForMigration

          public void setWmForMigration(int wmForMigration)

      Sets the wmForMigration value for this CfgStateGroup.
      Parameters:
        `wmForMigration` -

    - #### getWmStatesNSizeIs

          public int getWmStatesNSizeIs()

      Gets the wmStatesNSizeIs value for this CfgStateGroup.
      Returns:
        wmStatesNSizeIs

    - #### setWmStatesNSizeIs

          public void setWmStatesNSizeIs(int wmStatesNSizeIs)

      Sets the wmStatesNSizeIs value for this CfgStateGroup.
      Parameters:
        `wmStatesNSizeIs` -

    - #### getWmStates

          public int[] getWmStates()

      Gets the wmStates value for this CfgStateGroup.
      Returns:
        wmStates

    - #### setWmStates

          public void setWmStates(int[] wmStates)

      Sets the wmStates value for this CfgStateGroup.
      Parameters:
        `wmStates` -

    - #### getWmStateMappingsNSizeIs

          public int getWmStateMappingsNSizeIs()

      Gets the wmStateMappingsNSizeIs value for this CfgStateGroup.
      Returns:
        wmStateMappingsNSizeIs

    - #### setWmStateMappingsNSizeIs

          public void setWmStateMappingsNSizeIs(int wmStateMappingsNSizeIs)

      Sets the wmStateMappingsNSizeIs value for this CfgStateGroup.
      Parameters:
        `wmStateMappingsNSizeIs` -

    - #### getWmStateMappings

          public CfgStateMapping[] getWmStateMappings()

      Gets the wmStateMappings value for this CfgStateGroup.
      Returns:
        wmStateMappings

    - #### setWmStateMappings

          public void setWmStateMappings(CfgStateMapping[] wmStateMappings)

      Sets the wmStateMappings value for this CfgStateGroup.
      Parameters:
        `wmStateMappings` -

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this CfgStateGroup.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this CfgStateGroup.
      Parameters:
        `timestamp` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.